#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <stdio.h>
#include "misc.h"

/* read_output()
 * uses options:
 *    opt_s, opt_x, opt_o (not yet)
 *
 * NOTE:
 *    gd functionality is not currently used here.
 *    maybe we'll use it in the future... maybe not.
 */
void read_output (gdsd, rbytes)
	lx_gd *gdsd;
	unsigned long *rbytes;
{
	unsigned long osize = opt_x.v_opt.opt_ulong;
	char readbuf[osize];
	int i;

	*rbytes = 0;
	errno = 0; /* in case errno previously == EINTR */
	for (;;) {
		if ((i = read (gdsd->fd, readbuf, osize)) == -1) {
			outlog (gderr, "read error: ", strerror(errno), 0,0,0);
			return;
		}

		if (!i) {
			return;
		}

		*rbytes += i;
		nanosleepy(&time_s);
	}
}
